Subject: problem with cvs import and removed files

From: R&D4 <[email-masked]>
Date: Thu, 08 Dec 2005 16:27:27 +0100

Hi Git gurus!

I'm trying to `git cvs import` this cvs repository
http://cvs.sourceforge.net/viewcvs.py/compiere

When trying to import module "utils" as follows:

git cvsimport -v -d 
:pserver:[email-masked]:/cvsroot/compiere -C utils utils

I have a problem about "non-existent revision" of a file:

cvs_direct initialized to CVSROOT /cvsroot/compiere
cvs rlog: Logging utils
request for non-existent rev 1.1 in file .project
DONE; creating master branch
cp: cannot stat `/home/cvs/compiere/utils/.git/refs/heads/origin': No
such file or directory
usage: git-read-tree (<sha> | -m [-u | -i] <sha1> [<sha2> [<sha3>]])
checkout failed: 256

In fact rev 1.1 of .project in main branch shows "file removed" 
(http://cvs.sourceforge.net/viewcvs.py/compiere/utils/.project?rev=1.2&view=log)

The same happen with some other module of this project.

I'm running git --version is:
0.99.9.GIT

and cvsps --version is:
2.1

Any clue in how to solve this kind of problem?
Is it possible to skip this file(s) and maybe include them later "manually"?

Thanks in advance and best regards,

-- 

Andrea

DAVE Srl - Electronics System House
e-mail address: [email-masked]